Subject: NULL pointer dereference in veth_stats_one

From: Tom Parkin <[email-masked]>
Date: Fri, 4 Jan 2013 10:59:56 +0000

Hi list,

I recently tripped over a NULL pointer dereference in the veth driver.
I'm running a 3.8.0_rc1 (updated from net-next git tree this morning)
on an Athlon 64 X2 machine running a 32 bit kernel.  To trigger the
oops I simply created a veth interface as follows:

        ip link add name ve0 type veth peer name ve1

I did a little digging in the git history and I note that veth
statistics changed a little with commit 2681128f0ced8aa4.  I tried
reverting that commit in my tree, which made the oops go away again.

Thanks,
Tom
-- 
Tom Parkin
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development